Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Support for Photoshop v23 with older Mac Pros using Mojave 10.14.

0 Votes
Explorer ,
Nov 01, 2021 Nov 01, 2021

Copy link to clipboard

Copied

Hi everyone ...

I'd like to report a 'bug' or ask for a feature request please ...

v23 Adobe Photoshop / Lightroom & Bridge etc currently do not support Mojave 10.14. Atm, v23 requires Catalina or later to run. 

Like many users, I have pimped up my old 2009 v4,1 & v5,1 Mac Pros. It now has super fast Metal support graphics card, fast processors etc but only runs Mojave.

In comparison, my old 2013 Macbook Pro laptop is much lower power, but can work with Photoshop v23 as it supports up to Big Sur. So it's not a hardware power problem.

I don't think Mojave would restrict v23 Photoshop if Adobe could add support.

How do we ask for feature request?

 

Thanks ...

Idea No status
TOPICS
macOS

Views

111

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
3 Comments
Adobe Employee ,
Nov 01, 2021 Nov 01, 2021

Copy link to clipboard

Copied

Not a bug - See: https://helpx.adobe.com/download-install/kb/operating-system-guidelines.html This has been the policy for a few years now.

 

Converted to a feature request, but unfortunately, I don't see this changing.


Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Nov 01, 2021 Nov 01, 2021

Copy link to clipboard

Copied

Thanks for changing to feature request. I don't post on Adobe much so was not sure where to post.

Old Mac Pros are unique in that once they are modified, they are very powerful.

Would be great to have support added as i pay for the monthly CC subscription.

Appreciate your help! 🙂

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 02, 2021 Nov 02, 2021

Copy link to clipboard

Copied

LATEST

Apple no longer supports thos old machines, and a new M1 Mac mini will run circles around that Mac Pro.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines